## org.hibernate.type
Interface DiscriminatorType<T>

All Superinterfaces:
  IdentifierType<T>, LiteralType<T>, Serializable, Type

All Known Implementing Classes:
  BigIntegerType, BooleanType, ByteType, CharacterType, CharBooleanType, CustomType, IntegerType, LongType, NumericBooleanType, ShortType, StringType, TrueFalseType, UrlType, YesNoType

    public interface DiscriminatorType<T>

extends IdentifierType<T>, LiteralType<T>

Additional contract for a `Type` may be used for a discriminator.

Author:
  Gavin King, Steve Ebersole

Method Summary

Methods inherited from interface org.hibernate.type.IdentifierType
`stringToObject`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.LiteralType
`objectToSQLString`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.